<app-breadcrumb-admin [single]="true" titlePage="Usuarios"></app-breadcrumb-admin>

<h3>
  <fa-icon [icon]="faTable"></fa-icon>&nbsp;
  Usuarios
</h3>

<div class="row">
  <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
    <div class="card mb-3">
      <div class="card-header">
        <div class="row">
          <div class="col-12">
            <h3 class="float-start text-primary">
              <a [routerLink]="['/admin/users/create']" class="btn btn-outline-secondary">
                <fa-icon [icon]="faPlus"></fa-icon>&nbsp;
                <span class="text-capitalize">Agregar usuario</span>
              </a>
            </h3>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="table-responsive">
          <table id="dataTable" class="table table-bordered table-hover display" style="width:100%">
            <thead class="bg-primary  text-white">
            <tr>
              <th>Nombre</th>
              <th>Email</th>
              <th>Perfil</th>
              <th>Acciones</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let user of users |  paginate: { itemsPerPage: 5, currentPage: page }; let i=index">
              <td *ngIf="user.profile != 'super_admin'">
                <a [routerLink]="['/admin/users/edit', user.uid]" title="Editar">
                  {{ user.name }}
                </a>
              </td>
              <td *ngIf="user.profile != 'super_admin'">{{ user.email }}</td>
              <td [ngSwitch]="user.profile" *ngIf="user.profile != 'super_admin'">
                <span *ngSwitchCase="'super_admin'">Administrador</span>
                <span *ngSwitchCase="'admin'">Administrador</span>
                <span *ngSwitchCase="'user'">Usuario</span>
              </td>
              <td width="50px" class="text-center">
                <fa-icon [icon]="faPowerOff"
                         [ngClass]="{'text-success': user.active, 'text-danger': !user.active }"
                         *ngIf="user.uid != userAuthenticated.uid"
                         class="cursor"
                         (click)="active(user.uid, user.active)">
                </fa-icon>
                <fa-icon [icon]="faTrashAlt"
                         *ngIf="user.uid != userAuthenticated.uid"
                         class="text-danger ms-2 cursor"
                         (click)="delete(user.uid)">
                </fa-icon>
              </td>
            </tr>
            </tbody>
          </table>
          <pagination-controls  (pageChange)="page = $event"
                                (pageBoundsCorrection)="page = $event"
                                [maxSize]=9
                                [directionLinks]=true
                                [autoHide]=true
                                [responsive]=true
                                previousLabel="Anterior"
                                nextLabel="Siguente"
                                screenReaderPaginationLabel="Pagination"
                                screenReaderPageLabel="page"
                                screenReaderCurrentLabel="You're on page">
          </pagination-controls>
        </div>
        <!-- end table-responsive-->
      </div>
      <!-- end card-body-->
    </div>
    <!-- end card-->
  </div>
</div>
